From d25033c28e7ef3b370a50cdad407f1fd7d3afe11 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 22 2020 00:24:19 +0000
Subject: [PATCH 1774/2232] Work around clippy needless_update lint on attrs::Parser


---

diff --git a/syntax/attrs.rs b/syntax/attrs.rs
index 7dab263..18e92e2 100644
--- a/syntax/attrs.rs
+++ b/syntax/attrs.rs
@@ -14,6 +14,11 @@ pub struct Parser<'a> {
     pub namespace: Option<&'a mut Namespace>,
     pub cxx_name: Option<&'a mut Option<Ident>>,
     pub rust_name: Option<&'a mut Option<Ident>>,
+
+    // Suppress clippy needless_update lint ("struct update has no effect, all
+    // the fields in the struct have already been specified") when preemptively
+    // writing `..Default::default()`.
+    pub(crate) _more: (),
 }
 
 pub(super) fn parse(cx: &mut Errors, attrs: &[Attribute], mut parser: Parser) {

